[FFmpeg-cvslog] fate: Unset the sig variable if ignoring a test failure
Martin Storsjö
git at videolan.org
Fri May 5 11:32:14 EEST 2017
ffmpeg | branch: master | Martin Storsjö <martin at martin.st> | Thu Dec 29 00:15:17 2016 +0200| [5c83b4d550ea42653fece092987bab56ccc32ead] | committer: Martin Storsjö
fate: Unset the sig variable if ignoring a test failure
Otherwise the .rep file would still contain a signal instead of a
zero, even if the process returned success.
Signed-off-by: Martin Storsjö <martin at martin.st>
> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=5c83b4d550ea42653fece092987bab56ccc32ead
---
tests/fate-run.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 27cd6261a5..e1aaf647fa 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -214,7 +214,7 @@ if test -e "$ref" || test $cmp = "oneline" ; then
cmperr=$?
test $err = 0 && err=$cmperr
if [ "$report_type" = "ignore" ]; then
- test $err = 0 || echo "IGNORE fate-${test}" && err=0
+ test $err = 0 || echo "IGNORE fate-${test}" && err=0 && unset sig
else
test $err = 0 || cat $cmpfile
fi
More information about the ffmpeg-cvslog
mailing list